<?php
/**
 * Activates default theme features
 */
function bestore_shop_theme_setup(){

	// Make theme available for translation.
	load_theme_textdomain( 'be-store', get_stylesheet_directory_uri() . '/languages' );

}


/**
 * Register our scripts (js/css)
 */
function bestore_enqueue_child_styles() {
	
	$parent_style = 'be-page-parent';

    wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
    wp_enqueue_style( 'be-store-css', get_stylesheet_directory_uri() . '/style.css', array( $parent_style ) );
	
	wp_enqueue_script( 'customselect', get_stylesheet_directory_uri(). '/assets/js/customselect.js', 0, '', true );
	wp_enqueue_script( 'be-store-js', get_stylesheet_directory_uri().'/assets/js/be-store.js', 0, '', true );
	
	}
add_action( 'wp_enqueue_scripts', 'bestore_enqueue_child_styles',999 );



/**
 * Load WooCommerce compatibility file.
 */
if ( class_exists( 'WooCommerce' ) ) {
	
	require get_stylesheet_directory() . '/inc/helper.php';
	require get_stylesheet_directory() . '/inc/woocommerce.php';
	require get_stylesheet_directory() . '/inc/shop-toolbar.php';
	
}

