<?php
/**
 * Functions hooked to post page.
 *
 * @package Be Store
 *
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! function_exists( 'bestore_posts_formats_thumbnail' ) ) :

	/**
	 * Post formats thumbnail.
	 *
	 * @since 1.0.0
	 */
	function bestore_posts_formats_thumbnail() {
	?>
		<?php if ( has_post_thumbnail() ) :
			$post_thumbnail_id = get_post_thumbnail_id( get_the_ID() );
			$post_thumbnail_url = wp_get_attachment_url( $post_thumbnail_id );
			$formats = get_post_format(get_the_ID());
			$type =  get_theme_mod( 'blog_content_type', 'excerpt' ) ;

		?>
          
            
		<?php if ( is_singular() ) :?>
        <a href="<?php echo esc_url( $post_thumbnail_url );?>" class="image-popup">
        <?php else: ?>
        	<a href="<?php echo esc_url( get_permalink() );?>" class="image-link">
        <?php endif;?>
        
            <?php the_post_thumbnail('full');?>
           
        </a>
        <?php endif;?>  
	<?php
	}

endif;
add_action( 'bestore_posts_formats_thumbnail', 'bestore_posts_formats_thumbnail' );



if ( ! function_exists( 'bestore_product_review_comment_form_args' ) ) :
	add_filter( 'woocommerce_product_review_comment_form_args', 'bestore_product_review_comment_form_args' );
	/**
	 * Add title in custom header.
	 *
	 * @since 1.0.0
	 */
	function bestore_product_review_comment_form_args( $comment_form ) {
			$commenter = wp_get_current_commenter();
			$comment_form = array(
						'title_reply'          => have_comments() ? /* translators:straing */ __( 'Add a review', 'be-store' ) : sprintf( __( 'Be the first to review &ldquo;%s&rdquo;', 'be-store' ), get_the_title() ),
						'title_reply_to'       => /* translators:straing */ __( 'Leave a Reply to %s', 'be-store' ),
						'title_reply_before'   => '<div class="section-header comment_reply_header"><h3>',
						'title_reply_after'    => '</h3></div>',
						'comment_notes_after'  => '',
						'fields'               => array(
							
							'author' =>'<div class="row"><div class="form-group col-md-6 col-sm-6">' . '<input id="author" placeholder="' . esc_attr__( 'Your Name', 'be-store'  ) . '" name="author"  type="text" value="' .
				esc_attr( $commenter['comment_author'] ) . '" size="30" class="form-control" /><span class="required">*</span>
				</div>',
							'email'  => '<div class="form-group col-md-6 col-sm-6">' . '<input id="email" placeholder="' . esc_attr__( 'Your Email', 'be-store'  ) . '" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
				'" size="30" class="form-control"   /><span class="required">*</span></div></div>' 
				
							
						),
						'label_submit'  => __( 'Submit Review ', 'be-store' ),
						'logged_in_as'  => '',
						'comment_field' => '',
						'class_submit'      => 'submit-review',
						'submit_button' => '<div class="row"><div class="form-group col-md-12">
						<input name="%1$s" id="%2$snn" class="%3$s" value="%4$s" type="submit">
						</div></div>'
					);

					if ( $account_page_url = wc_get_page_permalink( 'myaccount' ) ) {
						$comment_form['must_log_in'] = '<p class="must-log-in">' . sprintf( /* translators:straing */ __( 'You must be <a href="%s">logged in</a> to post a review.', 'be-store' ), esc_url( $account_page_url ) ) . '</p>';
					}

					if ( get_option( 'woocommerce_enable_review_rating' ) === 'yes' ) {
						$comment_form['comment_field'] = '<div class="comment-form-rating"><label for="rating">' . esc_html__( 'Your rating', 'be-store' ) . '</label><select name="rating" id="rating" aria-required="true" required>
							<option value="">' . esc_html__( 'Rate&hellip;', 'be-store' ) . '</option>
							<option value="5">' . esc_html__( 'Perfect', 'be-store' ) . '</option>
							<option value="4">' . esc_html__( 'Good', 'be-store' ) . '</option>
							<option value="3">' . esc_html__( 'Average', 'be-store' ) . '</option>
							<option value="2">' . esc_html__( 'Not that bad', 'be-store' ) . '</option>
							<option value="1">' . esc_html__( 'Very poor', 'be-store' ) . '</option>
						</select></div>';
					}

					
					 $comment_form['comment_field'] .='<div class="row"><div class="form-group col-md-12 col-sm-12"><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"  placeholder="' . esc_attr__( 'Your review', 'be-store' ) . '" class="form-control">' .
    '</textarea></div></div>';
	
		return $comment_form;

	}

endif;


if( ! function_exists( 'bestore_read_more_link' ) ) :
	/**
	* Adds custom Read More.
	*
	*/
	function bestore_read_more_link( $more  ) {
		
		return sprintf( '<div class="more-link">
             <a href="%1$s" >%2$s<i class="fa fa-fw fa-long-arrow-right"></i></a>
        </div>',
            get_permalink( get_the_ID() ),
            esc_html__( 'Continue Reading', 'be-store' )
        );
		
	}
	add_filter( 'the_content_more_link', 'bestore_read_more_link' );
endif;

if( ! function_exists( 'bestore_excerpt_more' ) ) :
	/**
	 * Filter the "read more" excerpt string link to the post.
	 *
	 * @param string $more "Read more" excerpt string.
	 * @return string (Maybe) modified "read more" excerpt string.
	 */
function bestore_excerpt_more( $more ) {
    if ( ! is_single() ) {
        $more = sprintf( '<div class="more-link">
             <a href="%1$s" >%2$s<i class="fa fa-fw fa-long-arrow-right"></i></a>
        </div>',
            get_permalink( get_the_ID() ),
            esc_html__( 'Continue Reading', 'be-store' )
        );
		
    }
    return $more;
}
add_filter( 'excerpt_more', 'bestore_excerpt_more' );

endif;

if( ! function_exists( 'bestore_bellow_title_woocomerce_element_added' ) ) :
	/**
	 * @return html.
	 */
function bestore_bellow_title_woocomerce_element_added( ) {
	if( function_exists('is_product') && is_product() ){
		if( function_exists('woocommerce_template_single_price') ) woocommerce_template_single_price();
		if( function_exists('woocommerce_template_single_price') ) woocommerce_template_single_rating();
	}
	
}
add_action( 'be_page_more_element_add', 'bestore_bellow_title_woocomerce_element_added' );

endif;
